: Class HtmlExpireFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Filter
Class HtmlExpireFilter

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--com.mortbay.HTTP.HttpFilter
                        |
                        +--com.mortbay.HTTP.Filter.HtmlFilter
                              |
                              +--com.mortbay.HTTP.Filter.HtmlExpireFilter

public class HtmlExpireFilter
extends HtmlFilter

Filter Html and expire content. When activated, this extension of the HtmlFilter modifies the response header to prevent any caching of the the response. This filter should be used instead of HtmlFilter if the tags expansions may vary over time, and thus invalidate the expiry time of the raw content.

Version:
  1.0 Thu Jun 22 2000
Author:
  Greg Wilkins (gregw)

Fields inherited from class com.mortbay.HTTP.Filter.HtmlFilter
`info`

Fields inherited from class com.mortbay.HTTP.HttpFilter
`request, response`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`HtmlExpireFilter(HttpRequest request)`

Method Summary
`protected void` | `activate()` Modify response on activation.

Methods inherited from class com.mortbay.HTTP.Filter.HtmlFilter
`canHandle, embedUrl, includeFile, includePreFile, write, write, write`

Methods inherited from class com.mortbay.HTTP.HttpFilter
`activateOn, test, update`

Methods inherited from class java.io.FilterOutputStream
`close, flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlExpireFilter

    public HtmlExpireFilter(HttpRequest request)

Method Detail

### activate

    protected void activate()

  Description copied from class: HtmlFilter
  Modify response on activation. Remove content length and reset the last modified headers, as they are possibly incorrect after filtering. Add "Expired" header to disable external caching.
  Overrides:
    activate in class HtmlFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD